import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { FormUtils } from 'src/app/utils/formUtils';

@Component({
  selector: 'app-structure-allow-orientation',
  templateUrl: './structure-allow-orientation.component.html',
})
export class StructureAllowOrientationComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() isEditMode: boolean;
  @Output() radioChange = new EventEmitter<any>();
  @Output() validateForm = new EventEmitter<any>();

  public formUtils = new FormUtils();
  ngOnInit(): void {
    this.validateForm.emit();
  }

  public onRadioChange(name: string, value: boolean): void {
    this.radioChange.emit({ name, value });
    this.validateForm.emit();
  }
  public goBack(): void {
    history.back();
  }
}
